2018-08-21 15:36 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005283Talermechant backendpublic2018-06-12 08:59
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005283: New test cases lack code comments.
DescriptionA big part of the "new styled" test instructions code needs comments.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0012954

Marcello Stanisci (manager)

1f4f0f5 comments merchant tip CMDs.

~0012958

Marcello Stanisci (manager)

merchant testing lib header file and "traits" C files TBD.

~0012960

Marcello Stanisci (manager)

Last edited: 2018-05-25 12:08

View 2 revisions

This commits ends the merchant side: eb8549d94be9c36.

Libraries and header files are now commented; the test cases themselves
may lack verbose comments in a few places, but this is not so critical to
track here.

Leaving open to track the exchange side of it.

~0012964

Marcello Stanisci (manager)

7a1146f147da544 @exchange has comments for CMDs and
traits from the "lib" side. The _bank_-lib is still
lacking comments.

Once that part has been done, then the test suite themselves
would benefit from more commenting, although that is
not so critical to be kept tracked here.

~0012965

Marcello Stanisci (manager)

Last edited: 2018-05-28 22:18

View 2 revisions

Several trait offering functions - at the exchange AND the merchant - have the old 'selector' argument in the @param line; to be changed to the new 'index' paramenter.

~0012966

Marcello Stanisci (manager)

Ah, the exchange will also have to get the header files adapted to the new comments.

~0012967

Marcello Stanisci (manager)

3cb0454d comments exchange header files.

~0012968

Marcello Stanisci (manager)

01f933bb @ exchange and 3304bdb @ merchant address the "@param selector" problem, and close this issue.
+Notes

-Issue History
Date Modified Username Field Change
2018-02-21 13:17 Marcello Stanisci New Issue
2018-02-21 13:17 Marcello Stanisci Status new => assigned
2018-02-21 13:17 Marcello Stanisci Assigned To => Marcello Stanisci
2018-05-23 11:33 Marcello Stanisci Target Version => 0.6
2018-05-23 11:34 Marcello Stanisci Note Added: 0012954
2018-05-24 19:53 Marcello Stanisci Note Added: 0012958
2018-05-25 12:07 Marcello Stanisci Note Added: 0012960
2018-05-25 12:08 Marcello Stanisci Note Edited: 0012960 View Revisions
2018-05-28 17:26 Marcello Stanisci Note Added: 0012964
2018-05-28 22:17 Marcello Stanisci Note Added: 0012965
2018-05-28 22:18 Marcello Stanisci Note Edited: 0012965 View Revisions
2018-05-28 22:18 Marcello Stanisci Note Added: 0012966
2018-05-29 12:19 Marcello Stanisci Note Added: 0012967
2018-05-29 12:45 Marcello Stanisci Note Added: 0012968
2018-05-29 12:46 Marcello Stanisci Status assigned => resolved
2018-05-29 12:46 Marcello Stanisci Resolution open => fixed
2018-06-12 08:59 Christian Grothoff Product Version => SVN HEAD
2018-06-12 08:59 Christian Grothoff Fixed in Version => 0.6
+Issue History